homepage/urls.py
from django.urls import path
from . import views

app_name = 'homepage'

urlpatterns = [
    path('', views.index, name='index'),
    path('login/', views.loginView, name='loginView'),
    path('logout/', views.logoutView, name='logoutView'),
    #path('registered/', views.registered, name='registered'),
]

story9/urls.py
from django.contrib import admin
from django.urls import path, include

urlpatterns = [
    path('admin/', admin.site.urls),
    path('', include('homepage.urls')),
]

homepage/models.py
from django.db import models

# Create your models here.

homepage/views.py
from django.shortcuts import render, redirect
from django.views.generic import TemplateView
from django.contrib.auth import authenticate, login, logout

# Create your views here.
# classbase
class IndexView(TemplateView):
    template_name = 'index.html'

# functionbase
def index(request):
    context = {
        'page_title': 'Home',
    }
    return render(request, 'index.html', context)

def loginView(request):
    context = {
        'page_title':'LOGIN',
    }
    user = None
    if request.method == "POST":
        username_login = request.POST['username']
        password_login = request.POST['password']

        user = authenticate(request, username=username_login, password=password_login)

        if user is not None:
            login(request, user)
            return redirect('homepage:index')
        else:
            return redirect('homepage:loginView')

    return render(request, 'login.html', context)


def logoutView(request):
    context = {
        'page_title':'LOGOUT',
    }
    if request.method == "POST":
        if request.POST["logout"] == "Submit":
            logout(request)
        return redirect('homepage:index')
    
    return render(request, 'logout.html', context)

templates/index.html
<!DOCTYPE html>
<html>
<head>
	<title>{{page_title}}</title>
</head>

<body>
	<ul>
		<li><a href="{% url 'homepage:loginView' %}">Login</a></li>
		<li><a href="{% url 'homepage:logoutView' %}">Logout</a></li>
	</ul>
	
	<h1>Welcome to {{page_title}}</h1>
	<h3>Halo! {{user}}</h3>
</body>
</html>

templates/login.html
<!DOCTYPE html>
<html>
<head>
	<title>{{page_title}}</title>
</head>

<body>
	<h1>LOGIN {{page_title}}</h1>
	
	<form method="POST">
		{% csrf_token %}
		<label for="username">Username: </label>
		<input type="text" name="username" id="username">
		<br>
		
		<label for="password">Password: </label>
		<input type="password" name="password" id="password">
		<br>
		
		<button type="submit">login</button>
	</form>
	
</body>
</html>

templates/logout.html
<!DOCTYPE html>
<html>
<head>
	<title>{{page_title}}</title>
</head>

<body>
	<h1>{{page_title}}</h1>
	<p>Are you sure you want to logout?</p>
	
	<form method="POST">
		{% csrf_token %}
		<input type="submit" name="logout">
	</form>
</body>
</html>